package cn.tsy.data.idsse.dsds.model.sample;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 样品信息表-站位作业
 * 
 * @author: zxq
 * @date: 2024-05-14 18:33:01
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAMPLE_STATION", key = "TSY_ID")
public class SampleStation extends HmeBean {
	private static final long serialVersionUID = -6416959575900405150L;
	private Integer tsy_id;
	//数据集编号
	private Integer dataset_id;
	//数据集名称
	private String dataset_name;
	//数据样品编号
	private String sample_name;
	//数据样品在数据集内部编号
	private String sample_seq;
	//赞助机构
	private String funding_org;
	//公开期限
	private String publish_rule;
	//采样时间
	private LocalDateTime sampling_time;
	//经度
	private String sampling_lon;
	//纬度
	private String sampling_lat;
	//深度
	private String sampling_deep;
	//备注说明
	private String sample_remark;
	private LocalDateTime create_time;
	//应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	private String sample_tag_name;
	//标签对应的值，用于关联第三方系统
	private String sample_tag_value;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 数据集编号
	 */
	public Integer getDataset_id() {
		return this.dataset_id;
	}

	/****
	 * 数据集编号
	 */
	public void setDataset_id(Integer dataset_id) {
		this.dataset_id = dataset_id;
	}

	/****
	 * 数据集名称
	 */
	public String getDataset_name() {
		return this.dataset_name;
	}

	/****
	 * 数据集名称
	 */
	public void setDataset_name(String dataset_name) {
		this.dataset_name = dataset_name;
	}

	/****
	 * 数据样品编号
	 */
	public String getSample_name() {
		return this.sample_name;
	}

	/****
	 * 数据样品编号
	 */
	public void setSample_name(String sample_name) {
		this.sample_name = sample_name;
	}

	/****
	 * 数据样品在数据集内部编号
	 */
	public String getSample_seq() {
		return this.sample_seq;
	}

	/****
	 * 数据样品在数据集内部编号
	 */
	public void setSample_seq(String sample_seq) {
		this.sample_seq = sample_seq;
	}

	/****
	 * 赞助机构
	 */
	public String getFunding_org() {
		return this.funding_org;
	}

	/****
	 * 赞助机构
	 */
	public void setFunding_org(String funding_org) {
		this.funding_org = funding_org;
	}

	/****
	 * 公开期限
	 */
	public String getPublish_rule() {
		return this.publish_rule;
	}

	/****
	 * 公开期限
	 */
	public void setPublish_rule(String publish_rule) {
		this.publish_rule = publish_rule;
	}

	/****
	 * 采样时间
	 */
	public LocalDateTime getSampling_time() {
		return this.sampling_time;
	}

	/****
	 * 采样时间
	 */
	public void setSampling_time(LocalDateTime sampling_time) {
		this.sampling_time = sampling_time;
	}

	/****
	 * 经度
	 */
	public String getSampling_lon() {
		return this.sampling_lon;
	}

	/****
	 * 经度
	 */
	public void setSampling_lon(String sampling_lon) {
		this.sampling_lon = sampling_lon;
	}

	/****
	 * 纬度
	 */
	public String getSampling_lat() {
		return this.sampling_lat;
	}

	/****
	 * 纬度
	 */
	public void setSampling_lat(String sampling_lat) {
		this.sampling_lat = sampling_lat;
	}

	/****
	 * 深度
	 */
	public String getSampling_deep() {
		return this.sampling_deep;
	}

	/****
	 * 深度
	 */
	public void setSampling_deep(String sampling_deep) {
		this.sampling_deep = sampling_deep;
	}

	/****
	 * 备注说明
	 */
	public String getSample_remark() {
		return this.sample_remark;
	}

	/****
	 * 备注说明
	 */
	public void setSample_remark(String sample_remark) {
		this.sample_remark = sample_remark;
	}

	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	 */
	public String getSample_tag_name() {
		return this.sample_tag_name;
	}

	/****
	 * 应急搜捞、全球深渊深潜计划、崖州湾共享航次、基金委共享航次
	 */
	public void setSample_tag_name(String sample_tag_name) {
		this.sample_tag_name = sample_tag_name;
	}

	/****
	 * 标签对应的值，用于关联第三方系统
	 */
	public String getSample_tag_value() {
		return this.sample_tag_value;
	}

	/****
	 * 标签对应的值，用于关联第三方系统
	 */
	public void setSample_tag_value(String sample_tag_value) {
		this.sample_tag_value = sample_tag_value;
	}


}